Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.stream
Class HadoopCoGroupGate

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
              cascading.flow.stream.SpliceGate
                  cascading.flow.hadoop.stream.HadoopGroupGate
                      cascading.flow.hadoop.stream.HadoopCoGroupGate

All Implemented Interfaces:
  Collapsing, ElementDuct

    public class HadoopCoGroupGate

extends HadoopGroupGate

Nested Class Summary

Nested classes/interfaces inherited from class cascading.flow.stream.SpliceGate
`SpliceGate.Role`

Field Summary

Fields inherited from class cascading.flow.hadoop.stream.HadoopGroupGate
`closure, collector`

Fields inherited from class cascading.flow.stream.SpliceGate
`flowProcess, grouping, incomingScopes, keyBuilder, keyEntry, keyFields, orderedPrevious, outgoingScopes, role, sortBuilder, sortFields, splice, tupleEntryIterator, valuesBuilder, valuesFields`

Fields inherited from class cascading.flow.stream.Gate
`allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`HadoopCoGroupGate(FlowProcess flowProcess, CoGroup coGroup, SpliceGate.Role role)`

Method Summary
`void` | `bind(StreamGraph streamGraph)`
`void` | `prepare()`
`void` | `receive(Duct previous, TupleEntry incomingEntry)`
`protected Tuple` | `unwrapGrouping(Tuple key)`

Methods inherited from class cascading.flow.hadoop.stream.HadoopGroupGate
`complete, run, start`

Methods inherited from class cascading.flow.stream.SpliceGate
`addIncomingScope, addOutgoingScope, cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, initialize, makePosMap, orderDucts, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Gate
`getAllPreviousFor`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopCoGroupGate

    public HadoopCoGroupGate(FlowProcess flowProcess,
                             CoGroup coGroup,
                             SpliceGate.Role role)

Method Detail

### bind

    public void bind(StreamGraph streamGraph)

  Overrides:
    `bind` in class `HadoopGroupGate`

### prepare

    public void prepare()

  Overrides:
    `prepare` in class `HadoopGroupGate`

### receive

    public void receive(Duct previous,
                        TupleEntry incomingEntry)

  Specified by:
    `receive` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### unwrapGrouping

    protected Tuple unwrapGrouping(Tuple key)

  Specified by:
    `unwrapGrouping` in class `HadoopGroupGate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.